<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Document</title>
  </head>
  <body>
    <main>
      <div>
        <h1>{{todolist.name}}</h1>
        <div>
          <p>
            <a href="{% url "todo_list_update" todolist.id %}">Edit</a>
          </p>
        </div>
        <div>
          <p>
            <a href="{% url "todo_list_delete" todolist.id %}">Delete</a>
          </p>
        </div>
        <h2>Tasks</h2>
        <table>
          <thead>
            <th>Task</th>
            <th>Due date</th>
          </thead>
          <tbody>
            {% for item in todolist.items.all %}
            <!-- for variable in models.related name.all-->
            <!-- items is from ForeignKey -->
            <tr>
              <td><a href="{% url "todo_item_update" item.id %}">{{item.task}}</a></td>
              <td>{{item.due_date}}</td>
            </tr>
            {% endfor %}
          </tbody>
        </table>
      </div>
    </main>
  </body>
</html>
